import {
	jsonb,
	pgTable,
	text,
	timestamp,
	uniqueIndex,
	uuid,
} from "drizzle-orm/pg-core";

export const prodPermissions = pgTable(
	"prodPermissions",
	{
		prodPerm_id: uuid("prodPerm_id").defaultRandom().primaryKey(),
		name: text("name").notNull(),
		description: text("description").notNull(),
		roles: jsonb("roles").default([]),
		rolesLegacy: jsonb("rolesLegacy").default([]),
		add_User: text("add_User").default("LST_System").notNull(),
		add_Date: timestamp("add_Date").defaultNow(),
		upd_user: text("upd_User").default("LST_System").notNull(),
		upd_date: timestamp("upd_date").defaultNow(),
	},
	(table) => [
		// uniqueIndex('emailUniqueIndex').on(sql`lower(${table.email})`),
		uniqueIndex("prodPermName").on(table.name),
	],
);
